Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.plaf.theme
Class ButtonUI

    java.lang.Object
      javax.swing.plaf.ComponentUI
          javax.swing.plaf.ButtonUI
              javax.swing.plaf.basic.BasicButtonUI
                  org.flexdock.plaf.theme.ButtonUI

All Implemented Interfaces:
  IFlexViewComponentUI, XMLConstants

    public class ButtonUI

extends BasicButtonUI
implements IFlexViewComponentUI

Author:
  Christopher Butler

Nested Class Summary
`protected static class` | `ButtonUI.ButtonListener`

Field Summary
`static String` | `BORDER`
`static String` | `BORDER_ACTIVE`
`static String` | `BORDER_ACTIVE_HOVER`
`static String` | `BORDER_HOVER`
`static String` | `BORDER_PRESSED`
`protected Border` | `borderActive`
`protected Border` | `borderActiveHover`
`protected Border` | `borderDefault`
`protected Border` | `borderDefaultHover`
`protected Border` | `borderPressed`
`protected PropertySet` | `creationParameters`

Fields inherited from class javax.swing.plaf.basic.BasicButtonUI
`defaultTextIconGap, defaultTextShiftOffset`

Fields inherited from interface org.flexdock.plaf.IFlexViewComponentUI
`ICON_RESOURCE`

Fields inherited from interface org.flexdock.plaf.XMLConstants
`ATTRIBUTE_KEY, CLASSNAME_KEY, CONSTRUCTOR_KEY, DESC_KEY, EXTENDS_KEY, HANDLER_KEY, INHERITS_KEY, NAME_KEY, OVERRIDDEN_KEY, PROP_HANDLER_KEY, PROPERTY_KEY, REFERENCE_KEY, VALUE_KEY`

Constructor Summary
`ButtonUI()`

Method Summary
`protected BasicButtonListener` | `createButtonListener(AbstractButton b)`
`protected Icon` | `getActionIcon(AbstractButton button, boolean pressed, boolean active, boolean hover)`
`protected Border` | `getBorder(AbstractButton button)`
`PropertySet` | `getCreationParameters()`
`protected Border` | `getDefaultBorder(AbstractButton button, boolean active)`
`protected Icon` | `getDefaultIcon(AbstractButton button, boolean active)`
`protected Icon` | `getDisabledIcon(AbstractButton button, boolean active)`
`protected Border` | `getHoverBorder(AbstractButton button, boolean active)`
`protected Icon` | `getHoverIcon(AbstractButton button, boolean active)`
`protected Icon` | `getIcon(AbstractButton button)`
`protected Border` | `getPressedBorder(AbstractButton button)`
`protected Icon` | `getPressedIcon(AbstractButton button)`
`void` | `initializeCreationParameters()`
`protected void` | `installKeyboardActions(AbstractButton b)`
`void` | `installUI(JComponent c)`
`protected boolean` | `isParentActive(AbstractButton button)`
`protected boolean` | `isPressed(AbstractButton button)`
`void` | `paint(Graphics g, JComponent c)`
`protected void` | `paintBackground(Graphics g, AbstractButton b, boolean active, boolean hover, boolean pressed)`
`protected void` | `paintBorder(Graphics g, AbstractButton b)`
`protected void` | `paintIcon(Graphics g, AbstractButton b)`
`void` | `setBorderActive(Border borderActive)`
`void` | `setBorderActiveHover(Border borderActiveHover)`
`void` | `setBorderDefault(Border borderDefault)`
`void` | `setBorderDefaultHover(Border borderDefaultHover)`
`void` | `setBorderPressed(Border borderPressed)`
`void` | `setCreationParameters(PropertySet creationParameters)`
`void` | `uninstallUI(JComponent c)`

Methods inherited from class javax.swing.plaf.basic.BasicButtonUI
`clearTextShiftOffset, createUI, getBaseline, getBaselineResizeBehavior, getDefaultTextIconGap, getMaximumSize, getMinimumSize, getPreferredSize, getPropertyPrefix, getTextShiftOffset, installDefaults, installListeners, paintButtonPressed, paintFocus, paintIcon, paintText, paintText, setTextShiftOffset, uninstallDefaults, uninstallKeyboardActions, uninstallListeners`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BORDER

    public static final String BORDER

See Also:
  Constant Field Values

### BORDER_HOVER

    public static final String BORDER_HOVER

See Also:
  Constant Field Values

### BORDER_ACTIVE

    public static final String BORDER_ACTIVE

See Also:
  Constant Field Values

### BORDER_ACTIVE_HOVER

    public static final String BORDER_ACTIVE_HOVER

See Also:
  Constant Field Values

### BORDER_PRESSED

    public static final String BORDER_PRESSED

See Also:
  Constant Field Values

### creationParameters

    protected PropertySet creationParameters

### borderDefault

    protected Border borderDefault

### borderDefaultHover

    protected Border borderDefaultHover

### borderActive

    protected Border borderActive

### borderActiveHover

    protected Border borderActiveHover

### borderPressed

    protected Border borderPressed

Constructor Detail

### ButtonUI

    public ButtonUI()

Method Detail

### paint

    public void paint(Graphics g,
                      JComponent c)

  Overrides:
    `paint` in class `BasicButtonUI`

### paintBackground

    protected void paintBackground(Graphics g,
                                   AbstractButton b,
                                   boolean active,
                                   boolean hover,
                                   boolean pressed)

### paintBorder

    protected void paintBorder(Graphics g,
                               AbstractButton b)

### getBorder

    protected Border getBorder(AbstractButton button)

### getPressedBorder

    protected Border getPressedBorder(AbstractButton button)

### getHoverBorder

    protected Border getHoverBorder(AbstractButton button,
                                    boolean active)

### getDefaultBorder

    protected Border getDefaultBorder(AbstractButton button,
                                      boolean active)

### paintIcon

    protected void paintIcon(Graphics g,
                             AbstractButton b)

### getIcon

    protected Icon getIcon(AbstractButton button)

### getDisabledIcon

    protected Icon getDisabledIcon(AbstractButton button,
                                   boolean active)

### getPressedIcon

    protected Icon getPressedIcon(AbstractButton button)

### getHoverIcon

    protected Icon getHoverIcon(AbstractButton button,
                                boolean active)

### getDefaultIcon

    protected Icon getDefaultIcon(AbstractButton button,
                                  boolean active)

### getActionIcon

    protected Icon getActionIcon(AbstractButton button,
                                 boolean pressed,
                                 boolean active,
                                 boolean hover)

### isPressed

    protected boolean isPressed(AbstractButton button)

### isParentActive

    protected boolean isParentActive(AbstractButton button)

### installUI

    public void installUI(JComponent c)

  Overrides:
    `installUI` in class `BasicButtonUI`

### uninstallUI

    public void uninstallUI(JComponent c)

  Overrides:
    `uninstallUI` in class `BasicButtonUI`

### installKeyboardActions

    protected void installKeyboardActions(AbstractButton b)

  Overrides:
    `installKeyboardActions` in class `BasicButtonUI`

### createButtonListener

    protected BasicButtonListener createButtonListener(AbstractButton b)

  Overrides:
    `createButtonListener` in class `BasicButtonUI`

### setBorderActive

    public void setBorderActive(Border borderActive)

### setBorderActiveHover

    public void setBorderActiveHover(Border borderActiveHover)

### setBorderDefault

    public void setBorderDefault(Border borderDefault)

### setBorderDefaultHover

    public void setBorderDefaultHover(Border borderDefaultHover)

### setBorderPressed

    public void setBorderPressed(Border borderPressed)

### getCreationParameters

    public PropertySet getCreationParameters()

  Specified by:
    `getCreationParameters` in interface `IFlexViewComponentUI`

### setCreationParameters

    public void setCreationParameters(PropertySet creationParameters)

  Specified by:
    `setCreationParameters` in interface `IFlexViewComponentUI`

### initializeCreationParameters

    public void initializeCreationParameters()

  Specified by:
    `initializeCreationParameters` in interface `IFlexViewComponentUI`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD